Bug 1318772 - rhel-osp-director: "openstack undercloud install" fails with "Error: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glance"
Summary: rhel-osp-director: "openstack undercloud install" fails with "Error: Could no...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: 8.0 (Liberty)
Assignee: Marios Andreou
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-17 18:41 UTC by Alexander Chuzhoy
Modified: 2016-03-21 19:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-21 19:50:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
install-undercloud.log (510.54 KB, text/plain)
2016-03-17 18:43 UTC, Alexander Chuzhoy
no flags Details

Description Alexander Chuzhoy 2016-03-17 18:41:22 UTC
rhel-osp-director: "openstack undercloud install" fails with "Error: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glance"


Environment:
instack-undercloud-2.2.5-1.el7ost.noarch

Steps to reproduce:
 Run "openstack undercloud install"

Result:
dib-run-parts Thu Mar 17 17:58:56 UTC 2016 20-os-net-config completed
dib-run-parts Thu Mar 17 17:58:56 UTC 2016 Running /usr/libexec/os-refresh-config/configure.d/40-hiera-datafiles
[2016/03/17 05:58:56 PM] [WARNING] DEPRECATED: falling back to /var/run/os-collect-config/os_config_files.json
dib-run-parts Thu Mar 17 17:58:59 UTC 2016 40-hiera-datafiles completed
dib-run-parts Thu Mar 17 17:58:59 UTC 2016 Running /usr/libexec/os-refresh-config/configure.d/50-puppet-stack-config
+ set -o pipefail
+ set +e
+ puppet apply --detailed-exitcodes /etc/puppet/manifests/puppet-stack-config.pp
Could not retrieve fact='apache_version', resolution='<anonymous>': undefined method `[]' for nil:NilClass
Warning: Scope(Class[Keystone::Endpoint]): In Mitaka, the default value of $keystone::endpoint::version will change to ''. To avoid this warni
ng, please set the version parameter.
Error: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glance
Error: Could not autoload puppet/type/glance_image: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glan
ce
Error: Could not autoload puppet/type/glance_image: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glan
ce on node host06-rack02-v35.scale.openstack.engineering.redhat.com
Error: Could not autoload puppet/type/glance_image: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glan
ce on node host06-rack02-v35.scale.openstack.engineering.redhat.com
+ rc=1
+ set -e
+ echo 'puppet apply exited with exit code 1'
puppet apply exited with exit code 1
+ '[' 1 '!=' 2 -a 1 '!=' 0 ']'
+ exit 1
[2016-03-17 18:00:27,528] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/conf
igure.d']' returned non-zero exit status 1]

[2016-03-17 18:00:27,529] (os-refresh-config) [ERROR] Aborting...
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 807, in install
    _run_orc(instack_env)
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 691, in _run_orc
    _run_live_command(args, instack_env, 'os-refresh-config')
  File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 366, in _run_live_command
    raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: os-refresh-config failed. See log for details.
Command 'instack-install-undercloud' returned non-zero exit status 1


Expected result:
Successful installation of undercloud

Comment 1 Alexander Chuzhoy 2016-03-17 18:43:19 UTC
Created attachment 1137469 [details]
install-undercloud.log

Comment 2 Marios Andreou 2016-03-18 11:22:08 UTC
is this still reproducible sasha? I just tried on my environment; I had instack-undercloud-2.1.2-39.el7ost.noarch and updated - 8 repos, yum update and re-run openstack undercloud install.

I got instack-undercloud-2.2.6-1.el7ost.noarch and didn't hit the error/trace above (I did hit something else bug 1315442 but as stated there re-running completed OK). Perhaps it was specific to 2.2.5-1 ?

Comment 3 Alexander Chuzhoy 2016-03-18 13:04:24 UTC
The issue is reproducible on this setup.
I successfuly used this puddle on another env.

Comment 4 Alexander Chuzhoy 2016-03-18 14:05:57 UTC
Found that the system is registered with another puppet server (presumably by provisioning).

Will re-test it early next week and close the bug if this fixes the issue.

Comment 5 Alexander Chuzhoy 2016-03-21 19:50:02 UTC
This was due to configuration error.
The host was provisioned with external puppet.


Note You need to log in before you can comment on or make changes to this bug.